Last Comment Bug 718514 - Sending emails to newsgroups makes me crash [@ nsMsgLocalMailFolder::WriteStartOfNewMessage]
: Sending emails to newsgroups makes me crash [@ nsMsgLocalMailFolder::WriteSta...
Status: RESOLVED FIXED
: crash, regression
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: x86 All
: -- critical (vote)
: Thunderbird 12.0
Assigned To: David :Bienvenu
:
:
Mentors:
Depends on:
Blocks: 402392
  Show dependency treegraph
 
Reported: 2012-01-16 13:59 PST by Armen Zambrano [:armenzg] (EDT/UTC-4)
Modified: 2012-02-07 12:11 PST (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
unaffected


Attachments
proposed fix (1.01 KB, patch)
2012-01-24 13:39 PST, David :Bienvenu
neil: review+
Details | Diff | Splinter Review

Description Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-01-16 13:59:05 PST
The email still gets sent but Daily has to get restarted.

This problem is for Mac and it started on Monday 9th.
I had been off for 2 weeks.

I don't know how to check for my version (how can I load about:?)
Comment 1 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-01-16 14:06:30 PST
12.0a1 2012-01-16
Comment 2 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-01-16 14:06:59 PST
Thanks to jcranmer:
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:12.0a1) Gecko/20120116 Thunderbird/12.0a1
Comment 6 David :Bienvenu 2012-01-18 09:41:48 PST
what is the fcc folder set to for your news account (account settings, copies and folders)?
Comment 7 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-01-18 12:06:41 PST
I don't know what fcc means.
Here's a screenshot.
Comment 8 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-01-18 12:06:57 PST
http://cl.ly/DRQ2
Comment 9 Magnus Melin 2012-01-20 13:14:47 PST
Can't reproduce, but the crash is here:
http://hg.mozilla.org/comm-central/annotate/7bddc0e90669/mailnews/local/src/nsLocalMailFolder.cpp#l1950
Comment 10 Wayne Mery (:wsmwk, NI for questions) 2012-01-23 12:53:54 PST
as a regression, and top 5 crash for Daily, twould probably be cool to have this fixed before shipping aurora 12.0aN

and not just news - bp-8e90a98e-0655-455e-8c2c-50efb2120122 is via imap
Comment 11 David :Bienvenu 2012-01-24 11:58:24 PST
the db for the sent folder is missing or invalid - patch coming up.
Comment 12 David :Bienvenu 2012-01-24 13:39:19 PST
Created attachment 591252 [details] [diff] [review]
proposed fix

I verified that with this patch, messages are written to the fcc folder correctly even if the fcc folder .msf file is missing.
Comment 13 David :Bienvenu 2012-01-25 13:45:13 PST
http://hg.mozilla.org/comm-central/rev/fd2f08281cf0
Comment 14 Wayne Mery (:wsmwk, NI for questions) 2012-02-07 12:11:21 PST
just to be clear - setting tb11 not affected

Note You need to log in before you can comment on or make changes to this bug.